#
# spec file for package HSAIL-Tools
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           HSAIL-Tools
Version:        0+git20180830.6514deb
Release:        bp156.3.6
Summary:        Parse and (dis)assemble HSA Intermediate Language
License:        NCSA
URL:            https://github.com/HSAFoundation/HSAIL-Tools
Source:         %{name}-%{version}.tar.xz
Patch1:         warning.patch
# PATCH-FIX-UPSTREAM https://github.com/HSAFoundation/HSAIL-Tools/pull/54
Patch2:         reproducible.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libdwarf-devel
BuildRequires:  libelf-devel
BuildRequires:  ncurses-devel
BuildRequires:  perl
BuildRequires:  re2c
BuildRequires:  unzip

%description
HSAIL-Tools are used for parsing, assembling, and disassembling
HSAIL, the Heterogenous System Architecture Intermediate Language (a
virtual instruction set for parallel programs). This version of
libHSAIL supports the HSA PRM 1.02 (Final) specification.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

# TODO: I know this is really ugly ;) Create a devel package.
find %{buildroot} "(" -name "*.h" -o -name "*.hpp" -o -name "*.a" ")" -delete

%files
%doc README.md
%{_bindir}/HSAILasm
%{_prefix}/lib/libhsail-amd.so
%{_prefix}/lib/libhsail.so

%changelog
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Thu Sep 26 2019 Martin Pluskal <mpluskal@suse.com>
- Small package modernisation
* Wed Jul 10 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Add reproducible.patch to sort hash keys (boo#1041090)
* Sun Jun  9 2019 bwiedemann@suse.com
- Update to version 0+git20180830.6514deb:
  * Fix misleading-indentation warning
  * Fix for issue #52 : -Werror=int-in-bool-context
  * Sort hash keys (boo#1041090)
* Thu Aug 24 2017 mliska@suse.cz
- Delete metadata from tarball.
* Thu Aug 24 2017 mliska@suse.cz
- Remove docs folder from package as it does not contain documentation
  of the package.
* Sat Aug 12 2017 jengelh@inai.de
- Redo summary and description.
- Fix escaping requirements on a find call.
* Fri Aug  4 2017 mliska@suse.cz
- Update to version 0+git20160712.12220b0:
  * Restored imageQuery and samplerQuery for backward compatibility with legacy code
  * Corrections to get rid of warnings + defined some constants for compatibility with legacy code
  * Enable -Werror.
  * Remove usage of EXTRA_CFLAGS.
  * Clean up CMakeLists.txt
  * Add build options to enable/disable all vendor extensions (VENDOR_EXTENSIONS) and AMD extensions (AMD_EXTENSIONS).
  * Remove dependency on LLVM (it was only used to enable crash handler).
  * Improve README.md
  * Fix Windows build.
  * Enable /W3 /WX on Windows.
* Fri Aug  4 2017 mpluskal@suse.com
- Cleanup spec file
-Use cmake macros
* Fri Aug  4 2017 mliska@suse.cz
- Initial version 0.99
  * warning.patch
